org.apache.hc.client5.http.cookie

## Class CookiePriorityComparator

- java.lang.Object
- - org.apache.hc.client5.http.cookie.CookiePriorityComparator

- All Implemented Interfaces:
    Comparator<Cookie>

      @Contract(threading=STATELESS)
      public class CookiePriorityComparator
      extends Object
      implements Comparator<Cookie>

  This cookie comparator ensures that cookies with longer paths take precedence over cookies with shorter path. Among cookies with equal path length cookies with earlier creation time take precedence over cookies with later creation time
  Since:
    4.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CookiePriorityComparator` | `INSTANCE` Default instance of `CookiePriorityComparator`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookiePriorityComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Cookie c1, Cookie c2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### INSTANCE

          public static final CookiePriorityComparator INSTANCE

      Default instance of `CookiePriorityComparator`.

  - ### Constructor Detail

    - #### CookiePriorityComparator

          public CookiePriorityComparator()

  - ### Method Detail

    - #### compare

          public int compare(Cookie c1,
                             Cookie c2)

      Specified by:
        `compare` in interface `Comparator<Cookie>`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.